Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZSession Member List

This is the complete list of members for eZSession, including all inherited members.

$callbackFunctions | eZSession | protected static
$Created | eZSession |
$handlerInstance | eZSession | protected static
$Hash | eZSession |
$HasRefreshed | eZSession |
$hasSessionCookie | eZSession | protected static
$hasStarted | eZSession | protected static
$ID | eZSession |
$IsFetched | eZSession |
$LastAccessed | eZSession |
$Modified | eZSession |
$namespace | eZSession | protected static
$StoredIdle | eZSession |
$StoredVariables | eZSession |
$userID | eZSession | protected static
__construct() | eZSession | protected
__construct( $id="", $fetch=true) | eZSession |
addCallback( $type, $callback) | eZSession | static
arrayValue( $name) | eZSession |
cleanup() | eZSession | static
cleanup( $maxIdle=48) | eZSession |
countActive() | eZSession | static
created() | eZSession |
delete() | eZSession |
fetch( $refresh=true) | eZSession |
fill( $session_array) | eZSession |
forceStart() | eZSession | protected static
garbageCollector() | eZSession | static
get( $key=null, $defaultValue=null) | eZSession | static
get( $id="") | eZSession |
getByVariable( $name) | eZSession |
getHandlerInstance(ezpSessionHandler|null $handler=null) | eZSession | static
globalSession( $id="", $fetch=true) | eZSession | static
hash() | eZSession |
hasStarted() | eZSession | static
id() | eZSession |
idle() | eZSession |
init( $name, $started, $ns, ezpSessionHandler $handler) | eZSession | static
issetkey( $key, $forceStart=true) | eZSession | static
lastAccessed() | eZSession |
lazyStart( $startIfUserHasCookie=true) | eZSession | static
refresh() | eZSession |
regenerate( $updateBackendData=true) | eZSession | static
registerFunctions( $sessionName=false, ezpSessionHandler|null $handler=null) | eZSession | protected static
remove() | eZSession | static
sessionArray() | eZSession | private static
set( $key, $value) | eZSession | static
setArray( $name, $array, $append=false) | eZSession |
setCookieLifetime( $lifetime) | eZSession | static
setCookieParams( $lifetime=false) | eZSession | static
setHash( $value) | eZSession |
setUserID( $userID) | eZSession | static
setVariable( $name, $value, $group=false) | eZSession |
start( $cookieTimeout=false) | eZSession | static
stop() | eZSession | static
stop() | eZSession | static
store() | eZSession |
triggerCallback( $type, $params) | eZSession | static
unsetkey( $key, $forceStart=true) | eZSession | static
userHasSessionCookie() | eZSession | static
userID() | eZSession | static
variable( $name, $group=false) | eZSession |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.